Bug 811702 - Traceback when using --stopall
Summary: Traceback when using --stopall
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ricci
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-11 18:52 UTC by Chris Feist
Modified: 2013-02-21 10:47 UTC (History)
2 users (show)

Fixed In Version: ccs-0.16.2-56.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 10:47:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0453 0 normal SHIPPED_LIVE ricci bug fix and enhancement update 2013-02-20 21:07:44 UTC

Description Chris Feist 2012-04-11 18:52:40 UTC
When using --stopall you get a traceback if one of the nodes is not running ricci.


ccs --stopall -h localhost


[root@ask-03 ~]# ccs --stopall -h localhost
Unable to connect to ask-04, make sure the ricci server is started.
Stopped ask-03
Traceback (most recent call last):
  File "/usr/sbin/ccs", line 2145, in <module>
    main(sys.argv[1:])
  File "/usr/sbin/ccs", line 247, in main
    if (stopall): stop_all()
  File "/usr/sbin/ccs", line 578, in stop_all
    print thread.getoutput()
  File "/usr/sbin/ccs", line 34, in getoutput
    return self.output
AttributeError: 'StopNodeThread' object has no attribute 'output'


Can be fixed by setting self.output to "" at the beginning of StopNodeThread.run

Comment 1 RHEL Program Management 2012-07-10 08:45:17 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 2 RHEL Program Management 2012-07-11 01:51:42 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 4 Chris Feist 2012-10-12 20:20:34 UTC
Before Fix:

[root@ask-02 ~]# ccs --stopall -h ask-03
Stopped ask-02
Stopped ask-03
[root@ask-02 ~]# /etc/init.d/ricci stop
Shutting down ricci:                                       [  OK  ]
[root@ask-02 ~]# ccs --stopall -h ask-03
Unable to connect to ask-02, make sure the ricci server is started.
Traceback (most recent call last):
  File "/usr/sbin/ccs", line 2293, in <module>
    main(sys.argv[1:])
  File "/usr/sbin/ccs", line 257, in main
    if (stopall): stop_all()
  File "/usr/sbin/ccs", line 600, in stop_all
    print thread.getoutput()
  File "/usr/sbin/ccs", line 37, in getoutput
    return self.output
AttributeError: 'StopNodeThread' object has no attribute 'output'

After Fix:

[root@ask-03 ccs_sync]# ccs --stopall -h ask-03
/etc/init.d/ricciStopped ask-02
Stopped ask-03
[root@ask-03 ccs_sync]# /etc/init.d/ricci stop
Shutting down ricci:                                       [  OK  ]
[root@ask-03 ccs_sync]# ccs --stopall -h ask-02
Unable to connect to ask-03, make sure the ricci server is started.
Stopped ask-02

Comment 8 errata-xmlrpc 2013-02-21 10:47:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0453.html


Note You need to log in before you can comment on or make changes to this bug.